Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.dispatcher
Class DirectRenderFromEventAction

    java.lang.Object
      org.apache.struts2.portlet.dispatcher.DirectRenderFromEventAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, Serializable, SessionAware

    public class DirectRenderFromEventAction

extends Object
implements SessionAware, com.opensymphony.xwork2.Action, Serializable

When a portlet is targetted for an `event`, the portlet will receive two portlet requests, one for the `event` phase, and then followed by a `render` operation. When in the `event` phase, the action that is executed can't render any output. This means that if an action in the XWork configuration is executed in the event phase, and the action is set up with a result that should render something, the result can't immediately be executed. The portlet needs to "wait" to the render phase to do the rendering.

When the `PortletResult` detects such a scenario, instead of executing the actual view, it prepares a couple of render parameters specifying this action and the location of the view, which then will be executed in the following render request.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`DirectRenderFromEventAction()`

Method Summary
`String` | `execute()` Always return success.
`String` | `getLocation()` Get the location of the view.
`void` | `setSession(Map session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectRenderFromEventAction

    public DirectRenderFromEventAction()

Method Detail

### getLocation

    public String getLocation()

  Get the location of the view.

  Returns:
    Returns the location.

### execute

    public String execute()
                   throws Exception

  Always return success.

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Returns:
    SUCCESS
  Throws:
    `Exception`

### setSession

    public void setSession(Map session)

  Specified by:
    `setSession` in interface `SessionAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.